<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />

<title>Fast Warn Example</title>
<link rel="stylesheet" href="default_site_styles.css" /> 

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<script>
$(document).ready(function(){
	$('p.show-warning').css({'display':'none'}); // initially hide show-warning message
	$('.clickme').click(
      		function () {
			$('p.show-warning').css({'display':'block'});
			$('.warning').css({'display':'none'});
     		}
    	);
	$('a.show-warning').click(
      		function () {
			$('p.show-warning').css({'display':'none'});
			$('.warning').css({'display':'block'});
     		}
    	);

});
</script>

</head> 
<body>

<h2 class="heading">Example Warning Message</h2>

		<?php
		$important_notice = file_get_contents('fast_warn/_content/index.txt');
		if ($important_notice != '') // if there is a message...
			{ 
			?>	
			<div class="example" style="text-align:center;">
			<p class="show-warning">To show the warning message again please <a href="#" class="show-warning">click here</a></p>

				<table class="warning cm-block">
		    	    	    <tr>
					<td class="cm-tl"></td>
					<td class="cm-tm"><img src="default_site_images/exclamation.png" alt="Warning"><span>Warning! Important Message</span></td>
					<td class="cm-tr"></td>
		    	    	    </tr>
		    	    	    <tr>
					<td class="cm-ml"></td>
					<td class="cm-mm">
						<div class="cm-message">
							<?php echo $important_notice; ?>
						</div>
						<a href="#" class="clickme" title="Close"><img src="default_site_images/cross.png"></a>
					</td>
					<td class="cm-mr"></td>
		    	    	    </tr>
		    	    	    <tr>
					<td class="cm-bl"></td>
					<td class="cm-bm"></td>
					<td class="cm-br"></td>
		    	    	    </tr>
				</table>
			</div>
		<?php 
			} 
			else // if the message is empty...
			{ 
		?>
			<p class="cm-empty">The Warning Message box is empty - There is nothing to display!</p>
		<?php 
			} 
		?>

</body>
</html>