<?php 
/*
Fast Warn 1.0 - A fast, free and easy application for managing a warning message or alert. 
(C) 2010 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Warn is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

include('fast_warn_config.php');
include('fast_warn_functions.php');

if(isset($_SESSION['fwusername'])) 
	{
	$user = file_get_contents($user_file); // read user file - get who edited last?
	$data = file_get_contents($contentpage); // populate fast-warn textarea with content.txt page
	if ( (isset($_GET['action'])) && ($_GET['action']=='save') ) // save changes to fast-warn textarea
		{
		$content = $contentpage;
		$data = $_POST['fastwarn'];
		$fp = fopen($content,'w');
		$data = stripslashes($data);
		$data = preg_replace(array('/<(\?|\%)\=?(php)?/', '/(\%|\?)>/'), array('',''), $data); // remove old-asp tags, php short-tags, php echo tags, and normal php tags
		$data = strip_onlyfw($data, $strip_tags); // strip_only function - replace tags + attributes but leaves contents
		if ($style_attr == '0') 
			{
			$data = preg_replace('/(<[^>]+) style=".*?"/i', '$1', $data); // remove style attribute from tags
			}
		fwrite($fp,$data);
		fclose($fp);
		$userfile = fopen($user_file, 'w+');
		fwrite($userfile, $_SESSION['fwusername']);
		fclose($userfile);
		publishfw($root, $rooturl, $siteurl, $website_title, $domain, $website_desc, $feed_file, $search, $replace, $xml_title);
		header("Location: index.php" );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='delete') ) // delete and recreate blank web page
		{
		$create_content_file = fopen($contentpage, 'w+');
		fwrite($create_content_file, "");
		fclose($create_content_file);
		$userfile = fopen($user_file, 'w+');
		fwrite($userfile, $_SESSION['fwusername']);
		fclose($userfile);
		unpublishfw($rooturl, $siteurl, $website_title, $domain, $website_desc, $feed_file, $xml_title, $inactive_msg);
		header("Location: index.php" );
		exit();
		}
?>

<div class="fast-warn-container">
	<form id="formeditor1" name="formeditor1" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>?action=save">
	Welcome back <?php echo $_SESSION['fwusername'];?>
	<div class="user-status">Logout&nbsp;<?php echo $_SESSION['fwusername'];?>:&nbsp;<a href="?action=logout"><img src="fast_warn/images/lock_open.png" alt="Logout <?php echo $_SESSION['fwusername'];?>" title="Logout <?php echo $_SESSION['fwusername'];?>" class="logout" /></a></div>
	<?php 
	$last_modified = filemtime($contentpage);
	echo "<div class='last-updated'>The message was last updated by $user at ".date("h:ia, l jS F\, Y", $last_modified)."</div>";
	?>
		<div class="editor">
			<textarea name="fastwarn" cols="80" rows="10"><?php echo $data ?></textarea> 
		</div>
	</form>

<?php } ?>
