<?php
/*
Fast Warn 1.0 - A fast, free and easy application for managing a warning message or alert. 
(C) 2010 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Warn is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// name of website
$website_title = "My Website Warning Message";

// description of website/RSS (remember to escape any apostrophes! $website_desc = 'Find out what\'s on';)
$website_desc = 'Attention! There\'s something important going at My Website.';

// website domain with trailing slash
$domain = 'http://www.mywebsite.com/';

// website URL to the folder where Fast Warn is stored, with trailing slash
$siteurl = 'http://www.mywebsite.com/fast_warn_v1_0/';

// website root path with trailing slash
// $rooturl = '/home/www/mywebsite.com/'; - below setting should work automatically but if not, set root path manually
$rooturl = dirname(realpath(dirname(__FILE__))).'/';

// usernames and passwords - paired in same order 
$usernames = array(
'fwadmin',	// user 1 
'user2',	// user 2
'user3'		// user 3
);
$passwords = array(
'fwdemo', 	// pass 1
'demo2',	// pass 2
'demo3'		// pass 2
);

// HTML tags to strip
$strip_tags = array('span', 'div', 'img');

// do you want to allow use of the style="" attribute? (advanced users only)
// 0; = no, 1; = yes   -   default is no
$style_attr = 0;

// title of warning message used in xml/rss
$xml_title = "Warning! Important Message";

// message in xml/rss when INACTIVE (remember to escape any apostrophes! $inactive_msg = 'Find out what\'s on';)
$inactive_msg = 'There are no warning messages at this time.';

// set custom search-replace strings for RSS warning_message.xml, paired in same order in each array
// only applies to compliant RSS - use if your special characters break auto-generated RSS warning_message.xml
$search = array('&pound;', '&euro;');
$replace = array('GBP', 'EURO');




#### NO NEED TO EDIT PAST THIS LINE ####

// website root path to editable content (.txt files) with trailing slash
$root = $rooturl.'fast_warn/_content/'; 

// website URL to RSS warning_message.xml file
$feed_file = $siteurl.'warning_message.xml';

// website root path to user log file - who edited last?
$user_file = $rooturl.'fast_warn/users.txt';

// dynamic auto title script for <title> tag
$title = basename(substr($_SERVER['PHP_SELF'], 0,strrpos($_SERVER['PHP_SELF'],'.'))); // get page name and strip path and extention
$title2 = str_replace('_', ' ', strtolower($title)); // convert name to lowercase and replace underscores with space
						
if ($title2 == 'index') 
	{ 
	$dynamic_title = 'Warning Message'; // index to Home
	} 
	else 
	{ 
	$dynamic_title = ucwords($title2); // capitalize first letter
	}

//recognise editable content .txt file from base .php file
$basepage = basename(substr($_SERVER['PHP_SELF'], 0,strrpos($_SERVER['PHP_SELF'],'.')));
$contentpage = $root.$basepage.".txt"; 

?>